- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
Below is the first lisp I have written from “scratch”. And by “scratch” I mean I didn’t take an existing lisp and alter/edit it. However, I did do a little copy/paste from other lisps I have laying around.
I’d like some critique and suggestions about making it more elegant and efficient. It just seems clunky.
What it does is isolate the current layer w/o having to manually select an item on that layer first.
Thanks,
(defun c:LayIsoCurrent (/ s)
(if (setq s (ssget "_X" (list (cons 8 (getvar "CLAYER")))))
(princ (strcat "\nNumber of Found objects : < " (itoa (sslength s)) " >"))
)
(sssetfirst nil s)
(command "layiso")
(princ)
)
Solved! Go to Solution.
Link copied